Bug 817829

Summary: [abrt] libreoffice-core-3.4.5.2-12.fc16: SfxViewShell::GetController killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Ian Laws <ian>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:05a0d215240f90ab8792ea60a2427786ab7cca9e
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-04 11:34:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: dso_list
none
File: maps
none
File: backtrace none

Description Ian Laws 2012-05-01 09:54:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/ilaws/.cache/evolution/tmp/evolution-ilaws-IGgtJD/Rollfilm_oder_Chip.pps --splash-pipe=7
crash_function: get
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.2-1.fc16.x86_64
pid:            1953
pwd:            /home/ilaws
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Mi 25 Apr 2012 19:27:27 CEST
uid:            1000
username:       ilaws

backtrace:      Text file, 53164 bytes
dso_list:       Text file, 26020 bytes
maps:           Text file, 102577 bytes

environ:
:XDG_VTNR=3
:XDG_SESSION_ID=21
:HOSTNAME=Big-Brother
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=1942
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=evolution-1855-Big-Brother-libreoffice-1_TIME63184941
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3b35b8dfaf5a70de07d1117d0000000b-1335367491.444286-1204148217
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-LyolIv
:IMSETTINGS_MODULE=none
:USER=ilaws
:DESKTOP_AUTOSTART_ID=10f2c313db255da9b2133536749190822300000315190001
:USERNAME=ilaws
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/31519,unix/unix:/tmp/.ICE-unix/31519
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:MAIL=/var/spool/mail/ilaws
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/ilaws/.local/bin:/home/ilaws/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ilaws
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=31512
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/ilaws
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=ilaws
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2QSMQCLxQS,guid=6a386d25878677050035d23a0000da46
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=3
:XDG_RUNTIME_DIR=/run/user/ilaws
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-ilaws-yRezqH/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

var_log_messages:
:Apr 25 19:27:27 Big-Brother kernel: [63233.882116] soffice.bin[1953] general protection ip:333076bda8 sp:7fff9ff0b370 error:0 in libsfxlx.so[3330400000+40c000]
:Apr 25 19:27:29 Big-Brother abrt[2011]: Saved core dump of pid 1953 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-04-25-19:27:27-1953 (164081664 bytes)
Comment 1 Ian Laws 2012-05-01 09:54:39 EDT
Created attachment 581374 [details]
File: dso_list
Comment 2 Ian Laws 2012-05-01 09:54:42 EDT
Created attachment 581375 [details]
File: maps
Comment 3 Ian Laws 2012-05-01 09:54:44 EDT
Created attachment 581376 [details]
File: backtrace
Comment 4 Caolan McNamara 2012-05-02 05:31:24 EDT
Are you able to reproduce this crash ?, was it e.g. just hitting escape at the end of a specific presentation ?
Comment 5 Ian Laws 2012-05-03 16:56:15 EDT
I do not know really know what has happened.  
I believe it was after the question if I wanted to recover a file that was in temp (I had opened it from  pp from evolution) and after I had suspend the computer, I did not want to recover it

I will try to reproduce this tomorrow morning.
Comment 6 Ian Laws 2012-05-04 08:22:58 EDT
I have reproducing this even using the original file. 
I left it open set the computer into suspend mode but still nothing happen.

Please let me know if I can do something else.
Comment 7 Caolan McNamara 2012-05-04 11:34:05 EDT
Unfortunate. I can't figure out from the backtrace alone what has gone wrong here :-(